%{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

%define texpkg      CircuiTikz
%define texpkgdir   %{_texmf}/tex/latex/%{texpkg}
%define texpkgdoc   %{_texmf}/doc/latex/%{texpkg}

Name:           tetex-%{texpkg}
Version:        0.2.2
Release:        1%{?dist}
Summary:        A set of Latex macros for electrical symbols

Group:          Applications/Publishing
License:        LPPL
URL:            http://home.dei.polimi.it/mredaelli/circuitikz/index.html
Source0:        http://home.dei.polimi.it/mredaelli/downloads/circuitikz.zip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  tetex-latex

# needs tikz.sty :  texlive-texmf-latex comes with tetex-latex
Requires:       tetex-latex
Requires:       tetex-xstring

Requires(post):   /usr/bin/texhash
Requires(postun): /usr/bin/texhash

%description
CircuiTikz is a set of LaTeX macros designed to make it easy to draw
electrical networks in scientific publications.

%prep
%setup -q -T -c %{texpkg}-%{version} -a 0

%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}{%{texpkgdir},%{texpkgdoc}}
install -p -m 644 tex/latex/circuitikz/*.sty %{buildroot}%{texpkgdir}
install -p -m 644 doc/latex/circuitikz/circuitikzmanual.{tex,pdf} %{buildroot}%{texpkgdoc}

%clean
rm -rf %{buildroot}


%post
texhash >/dev/null 2>&1 || :

%postun
texhash >/dev/null 2>&1 || :


%triggerin -- lyx
if [ $2 -gt 1 ]; then
cd %{_datadir}/lyx && \
  ./configure --without-latex-config > /dev/null 2>&1 ||:
fi

%triggerun -- lyx
if [ $2 -eq 0 ]; then
cd %{_datadir}/lyx && \
  ./configure --without-latex-config > /dev/null 2>&1 ||:
fi


%files
%defattr(-,root,root,-)
%doc doc/latex/circuitikz/{CHANGELOG,README}
%{texpkgdir}/
%{texpkgdoc}/


%changelog
* Sun Jun 7 2009 Chitlesh Goorah < chitlesh [AT] fedoraproject DOT org> - 0.2.2-1
- initial package
